summaryrefslogtreecommitdiff
path: root/pst/install-patch-tweaks.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pst/install-patch-tweaks.sh')
-rwxr-xr-xpst/install-patch-tweaks.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/pst/install-patch-tweaks.sh b/pst/install-patch-tweaks.sh
new file mode 100755
index 0000000..a90ee40
--- /dev/null
+++ b/pst/install-patch-tweaks.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+# Planescape: Torment Tweak Pack
+# Note: this only installs the Banter Accelerator
+# and Stackable Items tweaks
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin WeiDU unrar
+
+setuptmp
+
+if [ ! -f "$PATCHDIR/psttweak.rar" ]; then
+ echo "You need to download the fixpack from http://dl.spellholdstudios.net/pst-qtweaks" 1>&2
+ echo "and put it in $PATCHDIR to install this patch" 1>&2
+ exit
+fi
+
+unrar x -o+ -cl "$PATCHDIR/psttweak.rar" "$TARGETDIR" || die
+rm "$TARGETDIR/setup-pst-tweak.exe"
+cd "$TARGETDIR"
+
+case "$LANGUAGE" in
+ "German" ) langno=1 ;;
+ "Spanish" ) langno=2 ;;
+ "Italian" ) langno=3 ;;
+ * ) langno=0 ;;
+esac
+
+# echo to install all manually as --yes assumes English
+echo -e "${langno}\nn\n2\nn\nn\ni\nn\ni\nn\nn\nn\nn\nn\nn\nn\nn\nn\n" \
+| WeiDU --continue setup-pst-tweak.tp2 || die
+
+setperms "$TARGETDIR"